<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<html>
			<head>
				<title>PurchaseOrder <xsl:value-of select="/purchaseOrder/@orderDate"/>
			</title>
			</head>
			<body>
				<table border="5">
					<tr>
						<td>
							<table>
								<tr>
									<td bgcolor="#FFFFFF" style="border=0">Purchase Order</td>
									<td>
										<xsl:value-of select="./purchaseOrder/@orderDate"/>
									</td>
								</tr>
								<tr>
									<td>E-Mail</td>
									<td>
										<xsl:value-of select="./purchaseOrder/email"/>
									</td>
								</tr>
								<tr>
									<td>Number of copies</td>
									<td>
										<xsl:value-of select="./purchaseOrder/noOfCopies/from"/>- <xsl:value-of select="./purchaseOrder/noOfCopies/to"/></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>
							<table border="2" style="width:100%">
								<tr>
									<td style="width:50%">
										<xsl:apply-templates select="/purchaseOrder/shipTo"/>
									</td>
									<td style="width:50%">
										<xsl:apply-templates select="/purchaseOrder/billTo"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>
							<table>
								<tr>
									<th>Items</th>
								</tr>
								<tr>
									<td>
										<table border="1">
											<tr>
												<th>Product Name</th>
												<th>Part Number</th>
												<th>Quantity</th>
												<th>US-Price</th>
												<th>Comment</th>
												<th>Ship Date</th>
											</tr>
											<xsl:apply-templates select="/purchaseOrder/item"/>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="shipTo">
		<table border="1" style="width:100%">
			<tr>
				<th>Ship to</th>
			</tr>
			<xsl:for-each select="./*">
				<tr>
					<td style="width:35%">
						<xsl:value-of select="name()"/>
					</td>
					<td style="width:65%">
						<xsl:value-of select="."/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="item">
		<tr>
			<td>
				<xsl:value-of select="./productName"/>
			</td>
			<td>
				<xsl:value-of select="./@partNum"/>
			</td>
			<td>
				<xsl:value-of select="./quantity"/>
			</td>
			<td>
				<xsl:value-of select="./USPrice"/>
			</td>
			<td>
				<xsl:value-of select="./comment"/>
			</td>
			<td>
				<xsl:value-of select="./shipDate"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="billTo">
		<table border="1" style="width:100%">
			<tr>
				<th>Bill to</th>
			</tr>
			<xsl:for-each select="./*">
				<tr>
					<td style="width:35%">
						<xsl:value-of select="name()"/>
					</td>
					<td style="width:65%">
						<xsl:value-of select="."/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2001 eXcelon Corp.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" url="po.xml" htmlbaseurl="" processortype="internal" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo  srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" />
</metaInformation>
-->